<div>
  <h2 id="page-heading" data-cy="OrderItemHeading">
    <span jhiTranslate="storeApp.orderItem.home.title">Order Items</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="storeApp.orderItem.home.refreshListLabel">Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-order-item"
        [routerLink]="['/order-item/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="storeApp.orderItem.home.createLabel"> Create a new Order Item </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="orderItems?.length === 0">
    <span jhiTranslate="storeApp.orderItem.home.notFound">No Order Items found</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="orderItems && orderItems.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="global.field.id">ID</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="quantity">
            <div class="d-flex">
              <span jhiTranslate="storeApp.orderItem.quantity">Quantity</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="totalPrice">
            <div class="d-flex">
              <span jhiTranslate="storeApp.orderItem.totalPrice">Total Price</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="status">
            <div class="d-flex">
              <span jhiTranslate="storeApp.orderItem.status">Status</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="product.name">
            <div class="d-flex">
              <span jhiTranslate="storeApp.orderItem.product">Product</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="order.code">
            <div class="d-flex">
              <span jhiTranslate="storeApp.orderItem.order">Order</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let orderItem of orderItems; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/order-item', orderItem.id, 'view']">{{ orderItem.id }}</a>
          </td>
          <td>{{ orderItem.quantity }}</td>
          <td>{{ orderItem.totalPrice }}</td>
          <td jhiTranslate="{{ 'storeApp.OrderItemStatus.' + orderItem.status }}">{{ orderItem.status }}</td>
          <td>
            <div *ngIf="orderItem.product">
              <a [routerLink]="['/product', orderItem.product.id, 'view']">{{ orderItem.product.name }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="orderItem.order">
              <a [routerLink]="['/product-order', orderItem.order.id, 'view']">{{ orderItem.order.code }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/order-item', orderItem.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/order-item', orderItem.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
              </button>

              <button type="submit" (click)="delete(orderItem)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <div *ngIf="orderItems && orderItems.length > 0">
    <div class="d-flex justify-content-center">
      <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
    </div>

    <div class="d-flex justify-content-center">
      <ngb-pagination
        [collectionSize]="totalItems"
        [page]="page"
        [pageSize]="itemsPerPage"
        [maxSize]="5"
        [rotate]="true"
        [boundaryLinks]="true"
        (pageChange)="navigateToPage($event)"
      ></ngb-pagination>
    </div>
  </div>
</div>
